@echo off

REM *** Restore Windows Notepad as your default text editor ***
REM Author: Robert Sauve
REM Sauve Consulting
REM https://www.sauveconsulting.com.au/

REM *** Changing working folder back to current directory ***
%~d0
CD %~dp0

REM *** Display error level codes ***
REM IF %ERRORLEVEL% NEQ 0 SET RESULT=%ERRORLEVEL%
REM Echo %ERRORLEVEL%
REM pause

REM *** Test for elevated administrator privileges ***
net session >nul 2>&1
if ERRORLEVEL 2 (
echo.
echo ERROR! You must have elevated administrator privileges.
echo.
echo For Win 2000/XP users....
echo Log ino a Windows user account with Administrator privileges
echo or log into the Administrator account.
echo.
echo For Win Vista/7/8/8.1/10 users....
echo Right mouse click on the file and select "Run as administrator".
echo Try again....
echo.
echo Press any key to end.
Pause >nul
exit /b 1
)

REM *** Check if notepad++ has been patched ***
if not exist %windir%\system32\notepad.exe.bak (
echo.
echo Notepad++ has not been patched.
echo Run SetDefault.bat to install Notepad++...
echo.
echo Press any key to end.
Pause >nul
exit /b 1
)

REM *** Take ownership of notepad.exe.bak ***
if exist %windir%\notepad.exe.bak (
if exist %windir%\system32\takeown.exe takeown /f %windir%\notepad.exe.bak
cacls %windir%\notepad.exe.bak /E /G Administrators:F
)
if exist %windir%\system32\notepad.exe.bak (
if exist %windir%\system32\takeown.exe takeown /f %windir%\system32\notepad.exe.bak
cacls %windir%\system32\notepad.exe.bak /E /G Administrators:F
)
if exist %windir%\SysWOW64 (
if exist %windir%\system32\takeown.exe takeown /f %windir%\SysWOW64\notepad.exe.bak
cacls %windir%\SysWOW64\notepad.exe.bak /E /G Administrators:F
)

REM *** Restore Notepad in general OS locations ***
if exist %windir%\notepad.exe.bak (
del /F /Q %windir%\notepad.exe
rename %windir%\notepad.exe.bak notepad.exe
)
if exist %windir%\system32\notepad.exe.bak (
del /F /Q  %windir%\system32\notepad.exe
rename  %windir%\system32\notepad.exe.bak notepad.exe
)

REM *** Restore Notepad for 32 bit OS ***
if exist %windir%\system32\dllcache\notepad.exe.bak (
del /F /Q %windir%\system32\dllcache\notepad.exe
rename %windir%\system32\dllcache\notepad.exe.bak notepad.exe
)

REM *** Restore Notpad for 64 bit OS ***
if exist %windir%\SysWOW64\notepad.exe.bak (
del /F /Q %windir%\SysWOW64\notepad.exe
rename %windir%\SysWOW64\notepad.exe.bak notepad.exe
)

REM *** Restore Notepad for Service Pack installation ***
if exist %windir%\ServicePackFiles\i386\notepad.exe.bak (
del /F /Q %windir%\ServicePackFiles\i386\notepad.exe
rename %windir%\ServicePackFiles\i386\notepad.exe.bak notepad.exe
)

echo.
echo All done.
Pause
